Subject: An issue regarding relay-forward/relay-reply...

From: Ted Lemon <[email-masked]>
Date: Wed, 08 Aug 2001 14:33:14 +0100

Bill Squier just pointed out a problem with relay agent messages that
I think we should address.  We are currently overloading the use of
the relay-agent-address field in the relay-forward message.  It
performs two functions - one is to tell the DHCP server what prefix to
use to allocate the client's IP address, and the other is to tell the
DHCP server to what address to send its response.

We have a hack in DHCPv4 to get around this option - the relay agent
subnet selection option and the subnet selection option.   However,
there's no real justification for this hack.   IPv6 has a well-defined
API.   We can get the IP source address from the packet.   So I think
we should send the Relay-reply to the IP source address of the
Relay-forward, not to the IP address in the relay-agent-address
field.   I think this is a lot cleaner than what we're doing now.

			       _MelloN_